interface Hyperlink {
    address: string;
    target: string;
}
interface Relationship {
    Type: string;
    Target: string;
    TargetMode?: string;
}
declare class HyperlinksProxy {
    writer: SheetRelsWriter;
    constructor(sheetRelsWriter: SheetRelsWriter);
    push(hyperlink: Hyperlink): void;
}
interface SheetRelsWriterOptions {
    id: number;
    workbook: any;
}
declare class SheetRelsWriter {
    id: number;
    count: number;
    _hyperlinks: Array<{
        rId: string;
        address: string;
    }>;
    _workbook: any;
    _stream?: any;
    _hyperlinksProxy?: HyperlinksProxy;
    constructor(options: SheetRelsWriterOptions);
    get stream(): any;
    get length(): number;
    each(fn: (hyperlink: {
        rId: string;
        address: string;
    }) => void): void;
    get hyperlinksProxy(): HyperlinksProxy;
    addHyperlink(hyperlink: Hyperlink): void;
    addMedia(media: Relationship): string;
    addRelationship(rel: Relationship): string;
    commit(): void;
    _writeOpen(): void;
    _writeRelationship(relationship: Relationship): string;
    _writeClose(): void;
}
export { SheetRelsWriter };
